summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2023-11-26 18:29:14 +0000
committerSam James <sam@gentoo.org>2023-11-26 18:30:01 +0000
commitb1a0b09303cb2f1e8001591199cd08f07dcc610f (patch)
tree10d67b676a2507246d0755ddb805f93fcea14969 /eclass
parentsys-apps/xdg-desktop-portal: add 1.18.2 (diff)
downloadgentoo-b1a0b09303cb2f1e8001591199cd08f07dcc610f.tar.gz
gentoo-b1a0b09303cb2f1e8001591199cd08f07dcc610f.tar.bz2
gentoo-b1a0b09303cb2f1e8001591199cd08f07dcc610f.zip
aspell-dict-r1.eclass: drop usage of which
The configure script uses are all the same. Go for a sed instead of many patches for all of aspell-*. Bug: https://bugs.gentoo.org/844094 Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/aspell-dict-r1.eclass7
1 files changed, 5 insertions, 2 deletions
diff --git a/eclass/aspell-dict-r1.eclass b/eclass/aspell-dict-r1.eclass
index 170edb4cacde..1a3bd0b21b24 100644
--- a/eclass/aspell-dict-r1.eclass
+++ b/eclass/aspell-dict-r1.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: aspell-dict-r1.eclass
@@ -58,7 +58,6 @@ SLOT="0"
RDEPEND="app-text/aspell"
DEPEND="${RDEPEND}"
-BDEPEND="sys-apps/which"
_ASPELL_MAJOR_VERSION=${ASPELL_VERSION:-6}
[[ ${_ASPELL_MAJOR_VERSION} != [56] ]] && die "Unsupported ASPELL_VERSION=${ASPELL_VERSION}"
@@ -68,6 +67,10 @@ unset _ASPELL_MAJOR_VERSION
# @DESCRIPTION:
# The aspell-dict-r1 src_configure function which is exported.
aspell-dict-r1_src_configure() {
+ # configure generates lines like:
+ # `echo "ASPELL = `which $ASPELL`" > Makefile`
+ sed -i -e '/.* = `which/ s:`which:`command -v:' configure || die
+
# Since it's a non-autoconf based script, 'econf' cannot be used.
./configure || die
}